function [EPM,ttot]=EPM(y0,d0,t0,q_interface)
    %% Waveovertopping  
global g Hs Tm slope Tstorm toolboxerror irr q z2 turb;  

%% Overtopping formula 
L0=g*Tm^2/(2*pi); 
sop=Hs/L0;                  
irr=slope/(sqrt(sop));      % Irribaren number/breaking parameter
z2=1.65*irr*Hs;             %2% Run-Up height
q2=1000*0.067*sqrt(g*Hs^3)/sqrt(slope)*irr*exp(-4.75*z2/(Hs*irr)); 
q=[0.1 q2 1 10 30 50 75];                 %specific discharge l/s/m;

%% collect Agolf= characteristic values for ..q l/s/m
if q_interface==q(1)
    cq=1;
elseif q_interface==q(2)
    cq=2;
elseif q_interface==q(3)
    cq=3;
elseif q_interface==q(4)
    cq=4;
elseif q_interface==q(5)
    cq=5;
elseif q_interface==q(6)
    cq=6;
elseif q_interface==q(7)
    cq=7;
end


if toolboxerror==1
    A=golfA(q,cq);        %TU_MATLAB golfA=[ time b Ru hbos' ubos' Tbos' ];
else                             %DELTARES MATLAB
    load AAq.mat
    if cq==1
       A=A01;
    elseif cq==2
         A=Aq2;
    elseif cq==3
         A=A1;
    elseif cq==4
         A=A10;
    elseif cq==5
         A=A30;
    elseif cq==6
         A=A50;
    elseif cq==7
       A=A75;
    end
end

%% Calculation
    y=y0;
    d=d0;
    t=t0;
    n=Tstorm;
    for i=1:n;
        x=find (A(:,1)==t);
        nwsize=(size(x));
        nw=nwsize(1);

        for i2=1:nw
            if x>=1;
                U=A(x(i2),5);
                Tbos=A(x(i2),6);
                d=(Tbos*((0.7*turb*U-Uc_d(d,t))^2)/Esoil_d(d,t));
            else;
                d=0;
            end;
            y=y+d;
            d=y;
            if y>5.80;
                break;
            end
        end

        t=t+1;
        toterosion(i)=y;
        time(i)=t/3600;
        if y>5.80;
            break;
        end;
    end;

    %subplot (2,2,4);

    plot(time(1:i),toterosion(1:i),'r')
    hold on
    title(['erosion depth [m]']);  
    xlabel (['time [h]']);  
    set(gca,'YDir','reverse')
    ylabel (['depth [m]']);   
    
    EPM=toterosion;
    ttot=time;