function [golfA]=golfA(q,cq)
%derivation wavedistribution function
global g Hs Tm slope Tstorm irr q z2;

%% Overtopping formula (part2)
Rc=log(q/1000*sqrt(slope)/(sqrt(g*Hs^3)*0.067*irr))*Hs*irr/-4.75;
                                          %Run-up height of overtopping wave
Pov=1*exp(-(sqrt(-log(0.02))*Rc/z2).^2);  %Probability of overtopping    
n=floor (Tstorm/Tm);
Now=floor(Pov*n);                         %Number of overtopping waves
a=0.84*Tm*q./Pov;                         %Weibull distribution constant
Vmax=a.*(log(Now).^(4/3));                %Maximum Overtopping Volume

%% Bosman constants
ch=7e-3/(slope)^2;    %flow depth constant
%chexel=0.007/(1/(((4^2)+1)^(0.5))^2)
cu=0.25/sin(slope)   ;     %velocity constant
% vergelijking met exelsheet: u=0.25/(1/(((4^2)+1)^(0.5)))
cT=1.02;                   %overtopping time constant

%% Calculation distribution matrix A
wblA=a(cq);
b=wblrnd(wblA,0.75,Now(cq),1);
stringq= [num2str(q(cq))];

%subplot (3,2,1); 
%plot(b);
%xlabel (['Wave [-]']);
%ylabel (['Wave Volume [m]']);   
%title(['Wave Volumes q=',stringq,'[l/s/m]']);  
%axis([0 Now(cq) 0 Vmax(cq)]);

bs=sort (b);
%subplot (3,2,3);
%plot (bs);
%xlabel (['Wave [-]']);
%ylabel (['Wave Volume [m]']);   
%title(['Wave Volumes sorted']);  
%axis([0 Now(cq) 0 Vmax(cq)]);

%subplot (3,2,5);
%wblplot (bs);

p=wblpdf(b,wblA,0.75);           
Ru=sqrt(log(p)/log(0.02))*z2;   

teller=1;
for i=1:Now(cq)
    if Ru(teller)>Rc(cq);
        hbos(teller)=ch*(Ru(teller)-Rc(cq));
        ubos(teller)=cu*sqrt(g*(Ru(teller)-Rc(cq)));
        Tbos(teller)=cT*sqrt((Ru(teller)-Rc(cq))/Hs)*Tm;
    else hbos(teller)=0;ubos(teller)=0;Tbos(teller)=0;
    end
    teller=teller+1;
end

%% function golfA 
time=ceil(Tstorm*rand(Now(cq),1));
A01=[ time b Ru hbos' ubos' Tbos' ];
golfA=[ time b Ru hbos' ubos' Tbos' ];


%% Checken van values
MAXMIN= [max(hbos) min(hbos); max(ubos) min(ubos); max(Tbos) min(Tbos)];
max(time);
min(time);




