function [headcut_erosion,ttot]=headcut_erosion(x0,t0,q_interface)
%headcut erosion

global g Hs Tm slope Tstorm toolboxerror irr q z2 kh H conv slope_drad; 
H_ft=H*conv;

%% Overtopping formula 
L0=g*Tm^2/(2*pi); 
sop=Hs/L0;                  
irr=slope/(sqrt(sop));      % Irribaren number/breaking parameter
z2=1.65*irr*Hs;             %2% Run-Up height
q2=1000*0.067*sqrt(g*Hs^3)/sqrt(slope)*irr*exp(-4.75*z2/(Hs*irr)); 
q=[0.1 q2 1 10 30 50 75];                 %specific discharge l/s/m;

%% collect Agolf= characteristic values for ..q l/s/m
if q_interface==q(1)
    cq=1;
elseif q_interface==q(2)
    cq=2;
elseif q_interface==q(3)
    cq=3;
elseif q_interface==q(4)
    cq=4;
elseif q_interface==q(5)
    cq=5;
elseif q_interface==q(6)
    cq=6;
elseif q_interface==q(7)
    cq=7;
end


if toolboxerror==1
    A=golfA(q,cq);        %TU_MATLAB golfA=[ time b Ru hbos' ubos' Tbos' ];
else                             %DELTARES MATLAB
    load AAq.mat
    if cq==1
       A=A01;
    elseif cq==2
         A=Aq2;
    elseif cq==3
         A=A1;
    elseif cq==4
         A=A10;
    elseif cq==5
         A=A30;
    elseif cq==6
         A=A50;
    elseif cq==7
       A=A75;
    end
end

%% Calculation
Lc=(189*(kh^(0.5))*exp(-3.23/(log(101*kh))))^(0.33);
Chc=-0.79*log(kh(1))+3.04;

x=x0;
t=t0;

for i=1:Tstorm;   %Tstorm;
    t=t+1;
    k=find (A(:,1)==t);
    nwsize=(size(k));
    nw=nwsize(1);

    for i2=1:nw;
        if k>=1;
            hbos=A(k(i2),4);
            Ubos=A(k(i2),5);
            Tbos=A(k(i2),6);
            q_m=hbos*Ubos;
            q_ft=q_m/((0.3048)^2);
            L=(q_ft*H).^(1/3);
            xt=cos(slope_drad)*(Tbos/3600*Chc*(L-Lc));
        else;
            xt=0;
        end; 
        x=x+xt;
    end;    
    erosiondistance(i)=x*0.3048;    %transformation ft. to m.
    time(i)=t/3600;
    
    if x*0.3048>20;                 %max slope lenght.
        break;
    end;
end;



    headcut_erosion=erosiondistance;
    ttot=time;
    headcut_velocity=max(erosiondistance)/6 

hv=[num2str(headcut_velocity)]

plot (time,erosiondistance,'m')
hold on
xlabel (['Time [h]']);
ylabel (['Headcut erosion [m]']);   
title(['Headcut erosion']); 
legend (['L=1','L=0.5','L=0.5'],4)
annotation('textarrow',[0.4071 0.45929],[0.6643 0.6214],...
    'TextEdgeColor','none',...
    'String',{'headcut velocity=',hv,'m/h'});

    
    
    
    
    