%% main file 
%clear all, clc; close all;
global g vis da rhosoil rhowater tr factorclay tc0 alfacs...
    RAR0 betaroots alfatau r0 alfasoil alfae e turb w...
    Hs Tm Tp slope Tstorm toolboxerror kh H conv slope_drad;

%strenght parameters
g=9.81;                  % gravity constant
da=0.004;                % aggregate diameter
vis=1e-6;                % kinematic viscocity
r0=0.2;                  % turbulence coefficient 
alfatau=1/18;            % pressure fluctuation
factorclay= 0.021;       % clay factor
tc0=5e3;                 % clay cohesion (tau clay at d=o) [N/m2]
alfacs=1.75;             % clay cohesion variability over depth [N/m2/d]
tr= 20e6;                % root tensile strenght [N/m2]
rhosoil=2000;            % soil density [kg/m3]
rhowater=1000;           % water density [kg/m3]
alfasoil=1;
alfae=1e-10;

%application of averaged rootdensity according to Sprangers
betaroots= 22.32;        % Decrease rootdensity over depth
RAR0=0.0746/100;         % RAR (at d=o)

%load parameters
e=0.4;                      % air-water ratio
turb=(1.5+5*r0);            % turbulence coefficient
w=0.25;                     % tailwater damping coefficient

%Hydraulic boundaries
Hs=2;                   
Tp=5.7;
Tm=5.7;
slope=1/4;
Tstorm=6*60*60  ;        % Duration storm [sec]

%Headcut erosion parameters
kh=0.03;                        %material characteristic
H=0.8;                            %Headcut height [m] 
conv=0.3048;                      %conversie m-ft
slope_deg=20;
slope_drad=slope_deg*2*pi/360;

toolboxerror=2;  
%Analyze whether toolbox function available; than choose 1(yes;TU); else 2 (no; Deltares)
%% Calculations

keuze=1 ;          %     % ophalen uit interface
y0=0;
x0=0;
d0=y0;
t0=0;

repeatnumber=1;
for i=1:repeatnumber;
    if keuze ==1;               %'waveovertopping'
        q_interface=30;         %Aanpassing in golfA file
        [X,ttot]= waveovertopping(y0,d0,t0,q_interface);
    elseif keuze==2 %'EPM'
        q_interface=30;         %Aanpassing in golfA file
        [X,ttot]= EPM(y0,d0,t0,q_interface);
    elseif keuze==3;            %'waveoverflow'
        U_interface=[5 6 7 8 10];
        X=waveoverflow(y0,d0,t0,U_interface);
    elseif keuze ==4            %Headcut erosion
        q_interface=30;
        [X,ttot]=headcut_erosion(x0,t0,q_interface);
    elseif keuze ==5            %experiments ???? KLopt dit?
        q_interface=30;
        [X,ttot]=Boonwegresult(x0,t0,q_interface);
    end;
Xe=X(1:i);
Te=ttot(1:i);
end;



