%% main file
%clear all, clc; close all;
global g vis da rhosoil rhowater tr factorclay tc0 alfacs...
    RAR0 betaroots alfatau r0 alfasoil alfae e turb w...
    Hs Tm slope Tstorm section formulaV_hvT;

%% strenght parameters
g=9.81;                  % gravity constant
da=0.004;                % aggregate diameter
vis=1e-6;                % kinematic viscocity
r0=0.2;                  % turbulence coefficient
alfatau=1/18;            % pressure fluctuation
factorclay= 0.21;        % clay factor
tc0=5e3;                 % clay cohesion (tau clay at d=0) [N/m2]
alfacs=20;               % clay cohesion variability over depth [N/m2/d]
tr= 45e6;                % root tensile strenght [N/m2]
rhosoil=2000;            % soil density [kg/m3]
rhowater=1000;           % water density [kg/m3]
alfasoil=1;              % soil constant [-]
alfae=1e-10;             % coefficient [-]

%application of averaged rootdensity according to Sprangers
betaroots= 22.32;        % Decrease rootdensity over depth
RAR0=0.0746/100;         % RAR (at d=o)

%load parameters
e=0.0;                      % air-water ratio
turb=(1.5+5*r0);            % turbulence coefficient
w=0.25;                     % tailwater damping coefficient

%Hydraulic boundaries
Hs=2;
Tp=5.7;
Tm=4.7;
slope=1/4;
Tstorm=6*60*60  ;        % Duration storm [sec]

%% section en welke q en welk model
section=4;               % Location/section number (1-4=b1-b4;5=SP;6=K & 7=Spr)
model=2;                 % 1 =TM / 2 =EPM
formulaV_hvT=1;          % 1 =Bosman formula / 2 =characteristic values

qvec=[0.1 1 10 30 50 75 ];
for i10=1:6
    q=qvec(i10);
    if q==0.1;
        y0=0;
        xx0=0;
    else
        y0= Xa(end);  %=0 by induvidual q calculation
        xx0=xx(end); %=0 by induvidual q calculation
    end
    subplotteller=i10;
    d0=y0;
    t0=0;
    %% TM or EPM
    if model==1
        [Xa,eventnumber, Esoil_exp]=Boonwegresult(y0,t0,q,xx0,subplotteller);
        xx=eventnumber;
    elseif model==2
        [Xa,eventnumber]=exp_EPM(y0,t0,q,xx0,subplotteller);
        xx=eventnumber;
    end
    
    figure (1)

   %subplot (1,2,2)
    f2=plot (xx,Xa,'m');
    hold on

    if i10==5
        if section==1;
            stringloc=('Boonweg section 1');
        elseif section==2;
            stringloc=('Boonweg section 2');
        elseif section==3;
            stringloc=('Boonweg section 3');
        elseif section==4;
            stringloc=('Boonweg sections 1,2,3 & 4');
        elseif section==5;
            stringloc=('St-Philipsland');
        elseif section==6;
            stringloc=('Kattendijke');
        elseif section==7;
            stringloc=('Sprangers');
        end
    end

    B1Depth(i10)=Xa(end)
    i10=i10+1;
end

%  legend(pp,3)
format long


ax1 = gca;
h=xx(end)/6;

%set(ax1,'XTick',[ 1275 2799])
%set(ax1,'XTick',[ 100])
%set(gca,'XLim',[1 100])
set(ax1,'XTick',[  135 884  2159 3683 5369 8000 10000 12000])
set(gca,'XLim',[1 xx(end)])

set(gca,'XGrid','on')
title([stringloc]);%, ' ','incl clay modifications'
xlabel (['Wave event [-]']);
set(gca,'box','on');
set(gca,'YDir','reverse')
ylabel (['depth [m]']);




