function [golfA_exp]=golfA_exp(q)
 
%derivation wavedistribution function
global g Hs Tm slope ;

%% Overtopping formula 

L0=g*Tm^2/(2*pi); 
sop=Hs/L0;                  
irr=slope/(sqrt(sop));      % Irribaren number/breaking parameter
z2=1.65*irr*Hs;             %2% Run-Up height
Rc=log(q/1000*sqrt(slope)/(sqrt(g*Hs^3)*0.067*irr))*Hs*irr/-4.75;
Pov=1*exp(-(sqrt(-log(0.02))*Rc/z2).^2);  %Probability of overtopping    
a=0.84*Tm*q./Pov;                         %Weibull distribution constant                                          %Run-up height of overtopping wave

stringq= [num2str(q)];
                                          
%% collect Agolf= characteristic values for ..q l/s/m


    if q==0.1      % % --> aanpassen naar eigen mapje 
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q01' );
    elseif q==1
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q1' );
    elseif q==10
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q10' );
    elseif q==30
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q30' );
    elseif q==50
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q50' );
    elseif q==75
        A= xlsread('C:\Documents and Settings\valk_ad\My Documents\Deltares\matlab model\stuurlijst','q75' );
    end

    A=A';

%% Bosman constants
ch=7e-3/(slope)^2;         %flow depth constant
cu=0.25/sin(slope)   ;     %velocity constant
cT=1.02;                   %overtopping time constant

%% Calculation distribution matrix A

%figure (1)
%subplot (3,2,1); 
%plot(A);
%xlabel (['Wave [-]']);
%ylabel (['Wave Volume [m]']);   
%title(['Wave Volumes q=',stringq,'[l/s/m]']);  
%axis([0 A(1) 0 3500]);

As=sort (A);
%subplot (3,2,3);
%plot (As);
%xlabel (['Wave [-]']);
%ylabel (['Wave Volume [m]']);   
%title(['Wave Volumes sorted']);  
%axis([0 Now(cq) 0 Vmax(cq)]);

%subplot (3,2,5);
%wblplot (As);

p=wblpdf(A,a,0.75);           
Ru=sqrt(log(p)/log(0.02))*z2;   

sizeA=size (A);
teller=1;
for i=1:sizeA(2)
    if Ru(teller)>Rc;
        hbos(teller)=ch*(Ru(teller)-Rc);
        ubos(teller)=cu*sqrt(g*(Ru(teller)-Rc));
        Tbos(teller)=cT*sqrt((Ru(teller)-Rc)/Hs)*Tm;
    else hbos(teller)=0;ubos(teller)=0;Tbos(teller)=0;
    end
    teller=teller+1;
end

%% function golfA_exp 
golfA_exp=[ A' Ru' hbos' ubos' Tbos' ];