function [tau0_exp2, tauc_exp, Uc_exp, Esoil_exp]=tau0_exp(d,U)

global g vis da rhosoil rhowater tr factorclay tc0 alfacs...
    RAR0 betaroots alfatau r0 alfasoil alfae e turb w section;

load grass_boonweg
Aw=pi*(0.00013/2)^2;        % A root
Ad=pi*(0.03/2)^2;           % A drill (sample)
Ar1=B1*Aw/Ad;               % Ar/A
Ar2=B2*Aw/Ad;
Ar3=B3*Aw/Ad;
Ar4=B4*Aw/Ad;
ArSP=SP*Aw/Ad;
ArK=K*Aw/Ad;
meanSpr=[0 0 0 0 0 0 0 0];


v= [Ar1' Ar2' Ar3' Ar4' ArSP' ArK' meanSpr'];

h=0.001;

%for i5=1:7   %voor verloop grafiek RAR

    %for i4=[1:1:201];
    if d<0.025;
        RAR=v(1,section);
    elseif d>=0.025 & d<0.050
        RAR=v(2,section);
    elseif d>=0.050 & d<0.075
        RAR=v(3,section);
    elseif d>=0.075 & d<0.100
        RAR=v(4,section);
    elseif d>=0.100 & d<0.125
        RAR=v(5,section);
    elseif d>=0.125 & d<0.150
        RAR=v(6,section);
    elseif d>=0.150 & d<0.175
        RAR=v(7,section);
    elseif d>=0.175 & d<0.200
        RAR=v(8,section);
    else  % d>=0.200
        RAR=1e-99;
    end;

    if RAR==0
        sroots0=0.7*tr*RAR0;
        sroots=sroots0*exp(-betaroots*d);        %root cohesion Sprangers(d)
    else
        sroots=0.7*tr*RAR;                   %root cohesion handmatig(d)
    end
%tau(i4)=sroots/1000
%x(i4)=d
%    d=d+h
%end


tau0_exp2=turb^2*0.016/2*rhowater*((1/(1+e))*U).^2*exp(-w*d);

tc=tc0*(1+alfacs*d);                        %clay cohesion (d)
ttotal=sroots+factorclay*tc;                %total cohesion part(d)

%% diepte varierend
tauc_exp=alfatau*((rhosoil-rhowater)*g*da+ttotal); %total clay critical shear stress(d)
Uc_exp=(sqrt(tauc_exp/(0.7*rhowater)))/r0;
Esoil_exp= alfasoil/(alfae*g^2*da/(vis*(Uc_exp)^2));
Ce=1/Esoil_exp;

%% geen diepte variatie (tabel)
%Uc_exp=4.5;
%tauc_exp=0.7*rhowater*(r0*Uc_exp)^2;
%Esoil_exp=1e7;
%Ce=1.5e-6;
%Esoil_exp=1/Ce;
%Esoil_exp=1.0e7;
%Ce=1/Esoil_exp;

